> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Add new address to Customer.



## OpenAPI

````yaml /api-reference/openapi.json post /openapi/v1/Customers/{customerNo}/address
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Customers/{customerNo}/address:
    post:
      tags:
        - Customers
      summary: Add new address to Customer.
      parameters:
        - name: customerNo
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/CreateAddressRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAddressRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateAddressRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateAddressRequestDTO'
      responses:
        '200':
          description: Success
components:
  schemas:
    CreateAddressRequestDTO:
      type: object
      properties:
        addressFirstName:
          type: string
        addressLastName:
          type: string
        company:
          type: string
        addressOne:
          type: string
        addressTwo:
          type: string
        district:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          type: string
        addressPhone:
          type: string
        taxOffice:
          type: string
        taxNumber:
          type: string
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````